from azure.storage.blob import ContainerClient
import os
import logging

LOG_FORMAT = "%(levelname)s %(asctime)s -  %(message)s"
logging.basicConfig(level=logging.DEBUG, format=LOG_FORMAT)

logger = logging.getLogger()

def CreateContainerifNotExists(containerName):

    AZURE_STORAGE_CONNECTION_STRING = os.environ["AZURE_STORAGE_CONNECTION_STRING"]

    if not AZURE_STORAGE_CONNECTION_STRING:
        logger.info("Azure Storage Connection string not found")

    if (AZURE_STORAGE_CONNECTION_STRING):
        logger.info("Azure Storage Connection found")

    container = ContainerClient.from_connection_string(AZURE_STORAGE_CONNECTION_STRING, containerName)

    if container.exists():
        # Container foo exists. You can now use it.
        logger.info("Container Exists ...")
    else:
        # Container foo does not exist. You can now create it.
        container.create_container()
        logger.info("Creating ... ")

def UploadBlobs(blob_service_client, data, Blobname, Extension):
    ################ Blob Name #####################
    blobname_csv = Blobname + Extension
    ################ Blob client #####################
    blob_client_csv = blob_service_client.get_blob_client(blobname_csv)
    ################ Blob upload #####################
    blob_client_csv.upload_blob(data)
    logger.info("uploading " + blobname_csv)
